// HealthOnly Mutator for UT2003 By EvilJess

class MutHealthOnly extends Mutator;

function bool CheckReplacement(Actor Other, out byte bSuperRelevant)
{
	if(Other.IsA('MiniHealthPack')) {
		return false;
	}

	if(Other.IsA('AdrenalinePickup')) {
		return false;
	}

	if(Other.IsA('ShieldPack')) {
		return false;
	}

	if(Other.IsA('SuperShieldPack')) {
		return false;
	}

	if(Other.IsA('SuperHealthPack')) {
		return false;
	}

	if(Other.IsA('UDamagePack')) {
		return false;
	}

	return true;
}

defaultproperties
{
	GroupName="HealthOnly"
	FriendlyName="HealthOnly"
	Description="Remove pickups, except for +25 healths. Intended for 1 vs 1 matches.|By EvilJess"
}
